%define upstream_name    Plack-Middleware-Deflater
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compress response body with Gzip or Deflate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Plack)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed May 22 2024 tv <tv> 0.140.0-1.mga10
+ Revision: 2065989
- update to 0.14

* Mon Mar 28 2022 umeabot <umeabot> 0.120.0-11.mga9
+ Revision: 1830760
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-10.mga8
+ Revision: 1505989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-9.mga7
+ Revision: 1285727
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.120.0-8.mga7
+ Revision: 1166224
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.120.0-7.mga7
+ Revision: 1160660
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-6.mga6
+ Revision: 1032110
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 934031
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 745421
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 685979
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 534489
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 478119
- update to 0.12

* Tue Aug 06 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 464268
- update to 0.11

* Sun Jul 21 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 457006
- update to 0.10

* Fri Jun 07 2013 jquelin <jquelin> 0.90.0-1.mga4
+ Revision: 439759
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 371845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 267454
- update to 0.08

* Tue Jun 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 255331
- update to 0.06

* Mon Jun 27 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 114491
- update to 0.05

* Wed Jun 22 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 112249
- adding missing buildrequires:
- imported package perl-Plack-Middleware-Deflater

